All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.dataselectors
Class HttpRelationalMenuBarSupport

    com.sas.actionprovider.support.dataselectors.HttpRelationalMenuBarSupport

All Implemented Interfaces:
  MenuBarActionTypesInterface, MenuBarAreaInterface

Direct Known Subclasses:
  HttpMenuBarSupport

    public class HttpRelationalMenuBarSupport

In the context of the ActionProvider framework, this Support class assists in the registering and retrieval of actions for the MenuBar component.

Since:
  3.1

Field Summary
`static java.lang.String` | `ATTR_TITLE`
`static java.lang.String` | `MODE`
`static java.lang.String` | `MODEL`
`static java.lang.String` | `REFERRING_URI`
`static java.lang.String` | `SELECTOR_KEY`
`static java.lang.String` | `VIEWER`

Fields inherited from class com.sas.actionprovider.support.dataselectors.BaseMenuBarSupport
`RB_KEY`

Fields inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`AREA_DISABLED, AREA_VALUE_ATTRKEY, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, NON_SPECIFIC_AREA, UNSUPPORTED, VIEWER_DISABLED`

Fields inherited from interface com.sas.actionprovider.support.dataselectors.MenuBarAreaInterface
`SELECTOR_AREA`

Fields inherited from interface com.sas.actionprovider.support.dataselectors.MenuBarActionTypesInterface
`ADVANCED_FILTER_SELECTOR_ACTION, DATAITEM_SELECTOR_ACTION, EDIT_MENU_ACTION, EXCEPTION_HIGHLIGHTING_SELECTOR_ACTION, EXPORT_TO_ACTION, EXPORT_TO_EXCEL_ACTION, FILTER_AND_RANK_SELECTOR_ACTION, FIND_SELECTOR_ACTION, FORMAT_ACTION, GRAPH_PROPERTY_SELECTOR_ACTION, MEMBER_PROPERTIES_SELECTOR_ACTION, PERCENT_CALCULATIONS_SELECTOR_ACTION, RANKING_ACTION, RESTRICTED_FILTER_SELECTOR_ACTION, SIMPLE_CALCULATED_ITEM_SELECTOR_ACTION, SORT_SELECTOR_ACTION, TOTALS_ACTION`

Constructor Summary
`HttpRelationalMenuBarSupport(java.lang.Class actionClass)` Constructor

Method Summary
`protected void` | `createDefaultActions()` Initializes the actionClass property and creates the default actions that this class supports.
`protected java.lang.Object` | `getActionScopeAttribute(java.lang.String actionType, java.lang.String attributeName, ActionSupportFilter filter, java.lang.Object currentValue)` Returns a specific dynamic value for an attribute whose value varies according to the type of action being generated.
`protected java.util.Map` | `initializeShortActionTypeMap()` This method is called by the constructor and used to initiallize the `actionTypeToShortActionTypeMap` map.
`BaseAction` | `newActionInstance(java.lang.String areaType, java.lang.String actionType)` Return a newly instantiated default HttpAction based on the specified areaType and actionType or return null if actionType not recognized.

Methods inherited from class com.sas.actionprovider.support.dataselectors.BaseMenuBarSupport
`getExceptionHighlightingAction, getSortAction, initialize, setExceptionHighlightingAction, setSortAction`

Methods inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`addDefaultAction, getAction, getActionId, getActionOrderList, getActionProvider, getActions, getDefaultAction, getLocale, listActionTypes, listAreaTypes, listDefaultActions, reset, setAction, setActionOrderList, setActionProvider, setLocale`

Field Detail

### ATTR_TITLE

    public static java.lang.String ATTR_TITLE

### SELECTOR_KEY

    public static java.lang.String SELECTOR_KEY

### REFERRING_URI

    public static java.lang.String REFERRING_URI

### MODEL

    public static java.lang.String MODEL

### MODE

    public static java.lang.String MODE

### VIEWER

    public static java.lang.String VIEWER

Constructor Detail

### HttpRelationalMenuBarSupport

    public HttpRelationalMenuBarSupport(java.lang.Class actionClass)

  Constructor

  Parameters:
    `actionClass` - The class used to instantiate new actions.

Method Detail

### createDefaultActions

    protected void createDefaultActions()

  Initializes the actionClass property and creates the default actions that this class supports.

  Overrides:
    `createDefaultActions` in class `BaseMenuBarSupport`

### newActionInstance

    public BaseAction newActionInstance(java.lang.String areaType,
                                        java.lang.String actionType)

  Return a newly instantiated default HttpAction based on the specified areaType and actionType or return null if actionType not recognized.

  Specified by:
    `newActionInstance` in class `BaseActionProviderSupport`
  Parameters:
    `areaType` - the key associated with a defined area type
    `actionType` - the key associated with a defined action type.
  Returns:
    a new action of the specified type or null if the type is not recognized.

### getActionScopeAttribute

    protected java.lang.Object getActionScopeAttribute(java.lang.String actionType,
                                                       java.lang.String attributeName,
                                                       ActionSupportFilter filter,
                                                       java.lang.Object currentValue)

  Description copied from class: `BaseActionProviderSupport`
  Returns a specific dynamic value for an attribute whose value varies according to the type of action being generated.

  Overrides:
    `getActionScopeAttribute` in class `BaseActionProviderSupport`
  Parameters:
    `actionType` - The key that uniquely identifies this type of action.
    `attributeName` - The name of the dynamic attribute.
    `filter` - Defines the specific area.
    `currentValue` - The current value of this attribute on the action

### initializeShortActionTypeMap

    protected java.util.Map initializeShortActionTypeMap()

  This method is called by the constructor and used to initiallize the `actionTypeToShortActionTypeMap` map. This map should contain the ActionType as the key and the new short name as the value. The short names are used to generate ids for HttpActions.

  Overrides:
    `initializeShortActionTypeMap` in class `BaseActionProviderSupport`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.